
Katello - Bug #4717

(nightlies 3-19-14) publishing RHEL products does not actually result in packages/errata being

published

03/19/2014 04:38 PM - Erik Jacobs

Status: Closed   

Priority: Urgent   

Assignee: David Davis   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

[root@satellite foreman-proxy]# rpm -qa | grep -E "foreman|katello" | sort

foreman-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-postgresql-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-proxy-1.5.0-0.develop.201403141615git2f75941.el6.noarch

foreman-release-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

katello-1.5.0-14.201403182251gita638704.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch

katello-installer-0.0.19-1.201403121737git943ff82.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.4.0-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201403182251gita638704.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-3.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201403182248git62f913f.git.0.087e5ab.el6.noarch

rubygem-katello_api-0.0.8-1.201403182244git25f03d8.git.0.b35bfdd.el6.noarch

Associated revisions

Revision b5bf7b01 - 03/19/2014 04:19 PM - David Davis

fixes #4717 - Returning cv version info to UI

Revision 1c493630 - 03/19/2014 08:19 PM - David Davis

fixes #4717 - Returning cv version info to UI

Revision 80f9fb50 - 03/19/2014 09:32 PM - David Davis

Merge pull request #3844 from daviddavis/temp/20140319161944

fixes #4717 - Returning cv version info to UI

History

#1 - 03/19/2014 04:39 PM - Erik Jacobs

- File Screenshot from 2014-03-19 12_37_18.png added

Despite adding two RHEL products to a content view and publishing it, the content view details page shows that no packages/errata are present.

#2 - 03/19/2014 04:48 PM - Mike McCune

This is misleading as the counts aren't accurately reflecting what is available in the Content View.  Content Search should show the updated counts.
#3 - 03/19/2014 04:49 PM - Mike McCune

- Assignee set to David Davis

#4 - 03/19/2014 04:49 PM - Mike McCune

- Priority changed from Normal to Urgent

#5 - 03/19/2014 05:26 PM - David Davis

- Status changed from New to Assigned

#6 - 03/19/2014 08:03 PM - David Davis

It looks like the publish is working fine just the UI doesn't properly show the correct counts.

#7 - 03/19/2014 09:53 PM - David Davis

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:1c4936301de978bfa05d42cc17607a5bc8e72ece.

#8 - 06/06/2014 01:41 PM - Eric Helms

- Triaged set to Yes

#9 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13

Files

Screenshot from 2014-03-19 12_30_17.png 280 KB 03/19/2014 Erik Jacobs

Screenshot from 2014-03-19 12_37_18.png 302 KB 03/19/2014 Erik Jacobs
